{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Gets information about a suite of rule evaluations from within a repository.\nFor more information, see \"[Managing rulesets for a repository](https://docs.github.com/repositories/configuring-branches-and-merges-in-your-repository/managing-rulesets/managing-rulesets-for-a-repository#viewing-insights-for-rulesets).\"","properties":{"path":{"type":"object","properties":{"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."},"rule_suite_id":{"type":"integer","description":"The unique identifier of the rule suite result.\nTo get this ID, you can use [GET /repos/{owner}/{repo}/rulesets/rule-suites](https://docs.github.com/rest/repos/rule-suites#list-repository-rule-suites)\nfor repositories and [GET /orgs/{org}/rulesets/rule-suites](https://docs.github.com/rest/orgs/rule-suites#list-organization-rule-suites)\nfor organizations."}},"required":["owner","repo","rule_suite_id"],"additionalProperties":false},"query":{"type":"object","properties":{"include_metadata":{"type":"boolean","default":false,"description":"When set to `true`, the response will include additional metadata for pull request and required status check rule evaluation.\nResults are capped at 50 entries."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"Get a repository rule suite","id":"github.repos.get-repo-rule-suite","example":{"path":{"owner":"octocat","repo":"hello-world","rule_suite_id":1}},"maxRequests":1,"summary":false}}